Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572914 - Kubelet failed to get node info: failed to get zone from cloud provider: invalid character 'B' looking for beginning of value]
Summary: Kubelet failed to get node info: failed to get zone from cloud provider: inva...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.7.z
Assignee: Michal Fojtik
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 17:40 UTC by Steven Walter
Modified: 2018-08-28 12:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-28 12:33:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Output from journal of errors (1.38 MB, text/plain)
2018-04-28 18:19 UTC, Josh Foots
no flags Details

Description Steven Walter 2018-04-28 17:40:39 UTC
Description of problem:
Customer is able to register masters with Azure api but not nodes. Nodes start up normally but if they enable azure cloud provider it fails to start.

Version-Release number of selected component (if applicable):
3.7

How reproducible:
Unconfirmed

Steps to Reproduce:
1. Install openshift successfully
2. Add azure cloud config
3. Restart node

Actual results:
Kubelet failed to get node info: failed to get zone from cloud provider: invalid character 'B' looking for beginning of value]

Expected results:
Start normally

Additional info:
Will attach configs in private comment

Comment 5 Josh Foots 2018-04-28 18:19:58 UTC
Created attachment 1428249 [details]
Output from journal of errors

output from following command in sosreport:

cat sos_commands/origin/journal* | grep zone

Comment 6 Steven Walter 2018-04-28 18:29:08 UTC
Not sure which kubelet.go is reporting this issue/responsible for cloud provider integration. Possibly https://github.com/openshift/kubernetes/blob/release-1.9.1/pkg/kubelet/kubelet.go but it only has similar messages, not the same.

Comment 11 Michal Fojtik 2018-04-30 09:53:34 UTC
Problem solved. Had to add: 169.254.169.254 to no_proxy settings

Comment 12 Scott Dodson 2018-04-30 13:33:59 UTC
We should make sure to add cloud provider metadata endpoints to the list of no_proxy hosts by default.

Comment 13 Michal Fojtik 2018-04-30 14:40:18 UTC
PR: https://github.com/openshift/openshift-ansible/pull/8203

Comment 16 Scott Dodson 2018-06-21 13:37:31 UTC
This is in 3.10

Comment 17 Gan Huang 2018-06-25 06:18:20 UTC
Verified in openshift-ansible-3.10.7-1.git.220.50204c4.el7.noarch.rpm

For any installation with global proxy variables defined, '169.254.169.254' would be added to NO_PROXY list by default.


Note You need to log in before you can comment on or make changes to this bug.